Up

# NSItemProvider class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSItemProvider class
2. Software documentation for the NSItemProvider(NSPreviewSupport) category
3. Software documentation for the NSItemProviderReading protocol
4. Software documentation for the NSItemProviderWriting protocol

# Software documentation for the NSItemProvider class

## NSItemProvider : NSObject

> Declared in:
>   Foundation/NSItemProvider.h

> Conforms to:
>   NSCopying

Availability: MacOS-X 10.10.0
Description forthcoming.
Method summary

- -loadPreviewImageWithOptions:completionHandler:
- -previewImageHandler
- -setPreviewImageHandler:
- -canLoadObjectOfClass:
- -hasItemConformingToTypeIdentifier:
- -hasRepresentationConformingToTypeIdentifier:fileOptions:
- -init
- -initWithContentsOfURL:
- -initWithItem:typeIdentifier:
- -initWithObject:
- -loadDataRepresentationForTypeIdentifier:completionHandler:
- -loadFileRepresentationForTypeIdentifier:completionHandler:
- -loadInPlaceFileRepresentationForTypeIdentifier:completionHandler:
- -loadItemForTypeIdentifier:options:completionHandler:
- -loadObjectOfClass:completionHandler:
- -registerDataRepresentationForTypeIdentifier:visibility:loadHandler:
- -registerFileRepresentationForTypeIdentifier:fileOptions:visibility:loadHandler:
- -registerItemForTypeIdentifier:loadHandler:
- -registerObject:visibility:
- -registerObjectOfClass:visibility:loadHandler:
- -registeredTypeIdentifiers
- -registeredTypeIdentifiersWithFileOptions:
- -setSuggestedName:
- -suggestedName

### canLoadObjectOfClass:

- (BOOL) canLoadObjectOfClass: (Class<NSItemProviderReading>)aClass;
Availability: MacOS-X 10.10.0
Description forthcoming.

### hasItemConformingToTypeIdentifier:

- (BOOL) hasItemConformingToTypeIdentifier: (NSString*)typeIdentifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### hasRepresentationConformingToTypeIdentifier: fileOptions:

- (BOOL) hasRepresentationConformingToTypeIdentifier: (NSString*)typeIdentifier fileOptions: (NSItemProviderFileOptions)fileOptions;
Availability: MacOS-X 10.10.0
Description forthcoming.

### init

- (instancetype) init;
Availability: MacOS-X 10.10.0
Description forthcoming.

### initWithContentsOfURL:

- (instancetype) initWithContentsOfURL: (NSURL*)fileURL;
Availability: MacOS-X 10.10.0
Description forthcoming.

### initWithItem: typeIdentifier:

- (instancetype) initWithItem: (id<NSSecureCoding>)item typeIdentifier: (NSString*)typeIdentifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### initWithObject:

- (instancetype) initWithObject: (id<NSItemProviderWriting>)object;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadDataRepresentationForTypeIdentifier: completionHandler:

- (NSProgress*) loadDataRepresentationForTypeIdentifier: (NSString*)typeIdentifier completionHandler: (GSProviderCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadFileRepresentationForTypeIdentifier: completionHandler:

- (NSProgress*) loadFileRepresentationForTypeIdentifier: (NSString*)typeIdentifier completionHandler: (GSProviderURLCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadInPlaceFileRepresentationForTypeIdentifier: completionHandler:

- (NSProgress*) loadInPlaceFileRepresentationForTypeIdentifier: (NSString*)typeIdentifier completionHandler: (GSProviderURLBOOLCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadItemForTypeIdentifier: options: completionHandler:

- (void) loadItemForTypeIdentifier: (NSString*)typeIdentifier options: (NSDictionary*)options completionHandler: (NSItemProviderCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadObjectOfClass: completionHandler:

- (NSProgress*) loadObjectOfClass: (Class<NSItemProviderReading>)aClass completionHandler: (GSItemProviderReadingHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registerDataRepresentationForTypeIdentifier: visibility: loadHandler:

- (void) registerDataRepresentationForTypeIdentifier: (NSString*)typeIdentifier visibility: (NSItemProviderRepresentationVisibility)visibility loadHandler: (GSProgressHandler)loadHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registerFileRepresentationForTypeIdentifier: fileOptions: visibility: loadHandler:

- (void) registerFileRepresentationForTypeIdentifier: (NSString*)typeIdentifier fileOptions: (NSItemProviderFileOptions)fileOptions visibility: (NSItemProviderRepresentationVisibility)visibility loadHandler: (GSProgressURLBOOLHandler)loadHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registerItemForTypeIdentifier: loadHandler:

- (void) registerItemForTypeIdentifier: (NSString*)typeIdentifier loadHandler: (NSItemProviderLoadHandler)loadHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registerObject: visibility:

- (void) registerObject: (id<NSItemProviderWriting>)object visibility: (NSItemProviderRepresentationVisibility)visibility;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registerObjectOfClass: visibility: loadHandler:

- (void) registerObjectOfClass: (Class<NSItemProviderWriting>)aClass visibility: (NSItemProviderRepresentationVisibility)visibility loadHandler: (GSItemProviderWritingHandler)loadHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registeredTypeIdentifiers

- (NSArray*) registeredTypeIdentifiers;
Availability: MacOS-X 10.10.0
Description forthcoming.

### registeredTypeIdentifiersWithFileOptions:

- (NSArray*) registeredTypeIdentifiersWithFileOptions: (NSItemProviderFileOptions)fileOptions;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setSuggestedName:

- (void) setSuggestedName: (NSString*)suggestedName;
Availability: MacOS-X 10.10.0
Description forthcoming.

### suggestedName

- (NSString*) suggestedName;
Availability: MacOS-X 10.10.0
Description forthcoming.

# Software documentation for the NSItemProvider(NSPreviewSupport) category

## NSItemProvider(NSPreviewSupport)

> Declared in:
>   Foundation/NSItemProvider.h

Availability: MacOS-X 10.10.0
Description forthcoming.
Method summary

- -loadPreviewImageWithOptions:completionHandler:
- -previewImageHandler
- -setPreviewImageHandler:

### loadPreviewImageWithOptions: completionHandler:

- (void) loadPreviewImageWithOptions: (NSDictionary*)options completionHandler: (NSItemProviderCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### previewImageHandler

- (NSItemProviderLoadHandler) previewImageHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setPreviewImageHandler:

- (void) setPreviewImageHandler: (NSItemProviderLoadHandler)previewImageHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

# Software documentation for the NSItemProviderReading protocol

## NSItemProviderReading

> Declared in:
>   Foundation/NSItemProvider.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.10.0
Description forthcoming.
Method summary

- +objectWithItemProviderData:typeIdentifier:error:
- -readableTypeIdentifiersForItemProvider
- -setReadableTypeIdentifiersForItemProvider:

### objectWithItemProviderData: typeIdentifier: error:

+ (instancetype) objectWithItemProviderData: (NSData*)data typeIdentifier: (NSString*)typeIdentifier error: (NSError**)outError;
Availability: MacOS-X 10.10.0
Description forthcoming.

### readableTypeIdentifiersForItemProvider

- (NSArray*) readableTypeIdentifiersForItemProvider;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setReadableTypeIdentifiersForItemProvider:

- (void) setReadableTypeIdentifiersForItemProvider: (NSArray*)array;
Availability: MacOS-X 10.10.0
Description forthcoming.

# Software documentation for the NSItemProviderWriting protocol

## NSItemProviderWriting

> Declared in:
>   Foundation/NSItemProvider.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.10.0
Description forthcoming.
Method summary

- +itemProviderVisibilityForRepresentationWithTypeIdentifier:
- -itemProviderVisibilityForRepresentationWithTypeIdentifier:
- -loadDataWithTypeIdentifier:forItemProviderCompletionHandler:
- -setWritableTypeIdentifiersForItemProvider:
- -writableTypeIdentifiersForItemProvider

### itemProviderVisibilityForRepresentationWithTypeIdentifier:

+ (NSItemProviderRepresentationVisibility) itemProviderVisibilityForRepresentationWithTypeIdentifier: (NSString*)typeIdentifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### itemProviderVisibilityForRepresentationWithTypeIdentifier:

- (NSItemProviderRepresentationVisibility) itemProviderVisibilityForRepresentationWithTypeIdentifier: (NSString*)typeIdentifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### loadDataWithTypeIdentifier: forItemProviderCompletionHandler:

- (NSProgress*) loadDataWithTypeIdentifier: (NSString*)typeIdentifier forItemProviderCompletionHandler: (GSProviderCompletionHandler)completionHandler;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setWritableTypeIdentifiersForItemProvider:

- (void) setWritableTypeIdentifiersForItemProvider: (NSArray*)anArray;
Availability: MacOS-X 10.10.0
Description forthcoming.

### writableTypeIdentifiersForItemProvider

- (NSArray*) writableTypeIdentifiersForItemProvider;
Availability: MacOS-X 10.10.0
Description forthcoming.

Up